//
//  ListTimelineViewController.swift
//  Tusker
//
//  Created by Shadowfacts on 12/17/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit
import Pachyderm

class ListTimelineViewController: TimelineTableViewController {

    let list: List
    
    init(for list: List) {
        self.list = list
        
        super.init(for: .list(id: list.id))
        
        title = list.title
    }
    
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        navigationItem.rightBarButtonItem = UIBarButtonItem(barButtonSystemItem: .edit, target: self, action: #selector(editButtonPressed))
    }
    
    // MARK: - Interaction
    
    @objc func editButtonPressed() {
        let editListAccountsController = EditListAccountsViewController(list: list)
        editListAccountsController.navigationItem.leftBarButtonItem = UIBarButtonItem(barButtonSystemItem: .done, target: self, action: #selector(doneButtonPressed))
        let navController = UINavigationController(rootViewController: editListAccountsController)
        present(navController, animated: true)
    }
    
    @objc func doneButtonPressed() {
        dismiss(animated: true)
        
        // todo: show loading indicator
        timelineSegments = []
        loadInitialStatuses()
    }

}
